
from rest_framework import viewsets
from django.http import JsonResponse
from rest_framework.decorators import action
from .. import models, serializers
import json

class DispositivoViewSet(viewsets.ModelViewSet):
    queryset = models.Dispositivo.objects.all()
    serializer_class = serializers.DispositivoSerializer

    @action(detail=False, methods=['get'])
    def status(self, request, pk=None):
        input = json.loads(request.body)
        whoami = input['whoami']

        if (whoami['idDispositivo'] == 'existe'):
            return JsonResponse({
                "WhoamiResponse": {
                    "NroParadero": "AAA330",
                    "NombreParadero":"paradero 1 esq colon",
                    "Status": "OK"
                }
            })

        # retorna json de no existente
        return JsonResponse({
            "WhoamiResponse": {
                "Status": "NOK",
                "errorString": "Dispositivo no identificado"
            }
        })
        
